LOGGER(1) | General Commands Manual | LOGGER(1)

# NAME

`logger` — make entries in the system log

# SYNOPSIS

`logger` | [`-cins`] [`-d` SD] [`-f` file] [`-m` msgid] [`-p` pri] [`-t` tag] [message ...]

# DESCRIPTION

`logger` provides a shell command interface to the syslog(3) system log module.

Options:

`-c`
  Log to console as a fallback (`LOG_CONS`): if the message cannot be passed to syslogd(8), the message is written to /dev/console.
`-d` sd
  Log this in the structured data (SD) field. (sd has to be passed as one argument and will require careful quoting when used from the shell.)
`-f` file
  Log the specified file.
`-i`
  Log the process id of the logger process with each line (`LOG_PID`).
`-m` msgid
  The MSGID used for the message.
`-n`
  Open log file immediately (`LOG_NDELAY`).
`-p` pri
  Enter the message with the specified priority. The priority may be specified numerically or as a “facility.level” pair. For example, “-p local3.info” logs the message(s) as informational level in the local3 facility. The default is “user.notice”.
`-s`
  Log the message to standard error, as well as the system log (`LOG_PERROR`).
`-t` tag
  Mark every line in the log with the specified tag.
message
  Write the message to log; if not specified, and the `-f` flag is not provided, standard input is logged.

# EXIT STATUS

The `logger` utility exits 0 on success, and >0 if an error occurs.

# EXAMPLES

    logger System rebooted

    logger -p local0.notice -t HOSTIDM -f /dev/idmc

# SEE ALSO

syslog(3), syslogd(8)

# STANDARDS

The `logger` utility conforms to IEEE Std 1003.2-1992 (“POSIX.2”).

June 25, 2020 | NetBSD 11.99